package com.atlassian.confluence.rpc.soap.beans;

import com.atlassian.confluence.cluster.ClusterNodeInformation;
import com.atlassian.confluence.cluster.NodeStatus;

import java.util.Map;

/**
 * Created by IntelliJ IDEA.
 * User: Tomd
 * Date: 30/10/2006
 * Time: 11:19:44
 * To change this template use File | Settings | File Templates.
 */
public class RemoteNodeStatus implements NodeStatus
{
    private int nodeId;
    private Map jvmStats;
    private Map props;
    private Map buildStats;

    public RemoteNodeStatus()
    {
    }

    public RemoteNodeStatus(int id, NodeStatus ns)
    {
        this.nodeId = id;
        this.jvmStats = ns.getJVMstats();
        this.props = ns.getProps();
        this.buildStats = ns.getBuildStats();
    }

    public int getNodeId()
    {
        return nodeId;
    }

    public Map getJVMstats()
    {
        return jvmStats;
    }

    public Map getProps()
    {
        return props;
    }

    public Map getBuildStats()
    {
        return buildStats;
    }
}
